FROM php:7.3.4-fpm-alpine3.9

WORKDIR /data

# use chinese repository
RUN sed -i 's/dl-cdn.alpinelinux.org/mirrors.aliyun.com/g' /etc/apk/repositories \
    && curl -s https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin/ --filename=composer \
    && composer config -g repo.packagist composer https://packagist.laravel-china.org

# install libs
RUN apk update \
    && apk add --no-cache nginx \
    && mkdir /run/nginx \
    && docker-php-ext-install pdo_mysql bcmath

# composer install
ADD ./composer.json /data/composer.json
ADD ./composer.lock /data/composer.lock

RUN composer install --prefer-dist --no-dev --no-autoloader

ADD . /data/

RUN composer dump-autoload --no-dev --optimize

# copy configs
ADD ./docker/nginx-conf/host.conf /etc/nginx/conf.d/default.conf

ADD ./docker/entrypoint.sh /

RUN chmod +x /entrypoint.sh

EXPOSE 80

ENTRYPOINT ["/entrypoint.sh"]
